<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>
<body>
<div id="test">

</div>
</body>

<script>
  const styles = [
      {
          "param": "height",
          "value": "80px"
      },
      {
          "param": "width",
          "value": "80px"
      },
      {
          "param": "background-color",
          "value": "salmon"
      }
  ]
  const testDiv = document.getElementById("test");

  let startStyle = testDiv.getAttribute("style")
  styles.forEach(style => {
      startStyle = aggregateStyle(style, startStyle)
  })
  testDiv.setAttribute("style", startStyle)

  /**
   * @param newStyle { Object }
   * @param currentStyle { string }
   */
  function aggregateStyle(newStyle, currentStyle) {
      return currentStyle == null ? newStyle["param"] + ":" + newStyle["value"]+";" : currentStyle + newStyle["param"] + ":" + newStyle["value"]+";"
  }

</script>
</html>
